Skip to content

Searches for activities using predefined parameters

Request

Searches for activities using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The activity that you would like to be saved.

dateArray of strings, (date-time), = 2 items(Date)
idsArray of strings(Ids)

IDs to search

namestring(Name)
processed_dateArray of strings, (date-time)(Processed Date)
quantityArray of numbers, (float), = 2 items(Quantity)
statusArray of strings, = 2 items(Status)
sys_created_atArray of strings, (date-time), = 2 items(Sys Created At)
total_number_of_creditsArray of numbers, (float), = 2 items(Total Number Of Credits)
type_idArray of strings(Type)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/activities/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "date": [
      "2019-08-24T14:15:22Z",
      "2019-08-24T14:15:22Z"
    ],
    "ids": [
      "string"
    ],
    "name": "string",
    "processed_date": [
      "2019-08-24T14:15:22Z"
    ],
    "quantity": [
      0.1,
      0.1
    ],
    "status": [
      "string",
      "string"
    ],
    "sys_created_at": [
      "2019-08-24T14:15:22Z",
      "2019-08-24T14:15:22Z"
    ],
    "total_number_of_credits": [
      0.1,
      0.1
    ],
    "type_id": [
      "string"
    ]
  }'

Responses

The activity search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(ActivitySearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }